/*
 * Class INTEGER_64
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_849 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_849 [] = {0xFF01,2081,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_849 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_849 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_849 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_849 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_6_849 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_7_849 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_8_849 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_9_849 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_849 [] = {0xFF01,847,0xFFFF};
static const EIF_TYPE_INDEX egt_11_849 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_849[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_849), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_849), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21100, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_849), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_849), 14, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 15, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_849), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_849), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_849), 21088, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_849), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_849), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21094, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21115, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21116, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21118, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21119, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_849), 21088, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21113, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 6339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21091, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21093, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21098, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21101, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21122, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21051, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_849), 21052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21053, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21125, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21126, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21128, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21129, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21130, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21068, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 21103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21104, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_849), 21073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21074, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 21106, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21107, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21108, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21109, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21112, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21085, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21089, 0xFFFFFFFF},
};
void Init849(void)
{
	IDSC(desc_849, 0, 848);
	IDSC(desc_849 + 1, 1, 848);
	IDSC(desc_849 + 32, 700, 848);
	IDSC(desc_849 + 34, 171, 848);
	IDSC(desc_849 + 44, 224, 848);
	IDSC(desc_849 + 45, 1459, 848);
	IDSC(desc_849 + 49, 939, 848);
	IDSC(desc_849 + 52, 1453, 848);
}


#ifdef __cplusplus
}
#endif
